LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/g2-st-a1.log");


### With this file we show how the longest relation in standard cartan case G2-a is deformed.

LoadPackage("GBNP");

#SetInfoLevel(InfoGBNP,1);
#SetInfoLevel(InfoGBNPTime,1);

#We fix the scalars:

q:=E(8);
q11:=q^2;
q12:=q^-1;
q21:=q^2;
q22:=q^-1;


GBNP.ConfigPrint("y2","y1","x2","x1");

#We fix the deforming parameters:

s:=Indeterminate(Rationals,"s");
t:=Indeterminate(Rationals,"t");

y1:=[[[2]],[1]];;
y2:=[[[1]],[1]];;

x1:=[[[4]],[1]];;
x2:=[[[3]],[1]];;

d1:=AddNP(y1,x1,1,1);;
d2:=AddNP(y2,x2,1,1);;


b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);

y1c:=MulNP(y1,MulNP(y1,MulNP(y1,y1)));;
y1d:=AddNP(y1c,[[[]],[1]],1,-t);;
y21:=AddNP(MulNP(y2,y1),MulNP(y1,y2),1,-q21);;
y221:=AddNP(MulNP(y2,y21),MulNP(y21,y2),1,-q22*q21);;
y221d:=AddNP(y221,[[[]],[1]],1,-s);

x1c:=MulNP(x1,MulNP(x1,MulNP(x1,x1)));;
x21:=AddNP(MulNP(x2,x1),MulNP(x1,x2),1,-q21);;
x221:=AddNP(MulNP(x2,x21),MulNP(x21,x2),1,-q22*q21);;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y1112:=AddNP(MulNP(y1,y112),MulNP(y112,y1),1,-q11^2*q12);; 
y:=AddNP(MulNP(y1112,y112),MulNP(y112,y1112),1,-q11^6*q12^3*q21^2*q22);; 
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x1112:=AddNP(MulNP(x1,x112),MulNP(x112,x1),1,-q11^2*q12);; 
x:=AddNP(MulNP(x1112,x112),MulNP(x112,x1112),1,-q11^6*q12^3*q21^2*q22);; 
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;
d1112:=AddNP(MulNP(d1,d112),MulNP(d112,d1),1,-q11^2*q12);; 
d:=AddNP(MulNP(d1112,d112),MulNP(d112,d1112),1,-q11^6*q12^3*q21^2*q22);; 

K:=[
b11,b12,b21,b22,
y221d,y1d,
x221,x1c
];;

Print("The ideal is generated by the relations: \n");

PrintNPList(K);

G:=SGrobner(K);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;

r:=StrongNormalFormNP(AddNP(AddNP(d,x,1,-1),y,1,-1),G);;

PrintNP(r);

Print("When we modify the relation as stated, the difference is : \n");;

d2d12:=MulNP(d2,d12);;
y2y12:=MulNP(y2,y12);;
c:=(-2-4*q-2*q^2)*t;;

rc:=StrongNormalFormNP(AddNP(AddNP(r,d2d12,1,c),y2y12,1,-c),G);;

PrintNP(rc);








