LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/g3b.log");

### With this file we show that the generalized quantum Serre relation in g(3)-b, canot be deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y3","y2","y1","x3","x2","x1");

t13:=Indeterminate(Rationals,"t13");
t1:=Indeterminate(Rationals,"t1");
t2:=Indeterminate(Rationals,"t2");

q:=Indeterminate(Rationals,"q");;

q11:=-1;
q22:=-1;
q33:=q^3;

q12:=Indeterminate(Rationals,"q12");
q13:=Indeterminate(Rationals,"q13");
q23:=Indeterminate(Rationals,"q23");

q21:=q*q12^-1;
q31:=q13^-1;
q32:=q^-3*q23^-1;

y1:=[[[3]],[1]];;
x1:=[[[6]],[1]];;
y2:=[[[2]],[1]];;
x2:=[[[5]],[1]];;
y3:=[[[1]],[1]];;
x3:=[[[4]],[1]];;

y13:=[ [[3,1], [ 1,3]], [1,-q13] ];;
x13:=[ [[6,4], [ 4,6]], [1,-q13] ];;
y13d:=AddNP(y13,[ [ [] ], [t13]],1,-1);;

K:=[
[ [[3,3],[]     ], [1,-t1]],
[ [[2,2],[]     ], [1,-t2]],
[ [[6,6]        ], [1]    ],
[ [[5,5]        ], [1]    ],
y13d,
x13,
[ [[4,1], [ 1,4]], [1,-q33] ],
[ [[4,2], [ 2,4]], [1,-q32] ],
[ [[4,3], [ 3,4]], [1,-q31] ],
[ [[5,1], [ 1,5]], [1,-q23] ],
[ [[5,2], [ 2,5]], [1,-q22] ],
[ [[5,3], [ 3,5]], [1,-q21] ],
[ [[6,1], [ 1,6]], [1,-q13] ],
[ [[6,2], [ 2,6]], [1,-q12] ],
[ [[6,3], [ 3,6]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

d1:=[[[3],[6]],[1,1]];;
d2:=[[[2],[5]],[1,1]];;
d3:=[[[1],[4]],[1,1]];;

d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;
y12:=[[[3,2],[2,3]],[1,-q12]];;
x12:=[[[6,5],[5,6]],[1,-q12]];;

d23:=AddNP(MulNP(d2,d3),MulNP(d3,d2),1,-q23);;
y23:=[[[2,1],[1,2]],[1,-q23]];
x23:=[[[5,4],[4,5]],[1,-q23]];

d123:=AddNP(MulNP(d1,d23),MulNP(d23,d1),1,-q12*q13);;
x123:=AddNP(MulNP(x1,x23),MulNP(x23,x1),1,-q12*q13);;
y123:=AddNP(MulNP(y1,y23),MulNP(y23,y1),1,-q12*q13);;


d12123:=StrongNormalFormNP(AddNP(MulNP(d12,d123),MulNP(d123,d12),1,-q11*q12*q13*q21*q22*q23),G);;
x12123:=StrongNormalFormNP(AddNP(MulNP(x12,x123),MulNP(x123,x12),1,-q11*q12*q13*q21*q22*q23),G);;
y12123:=StrongNormalFormNP(AddNP(MulNP(y12,y123),MulNP(y123,y12),1,-q11*q12*q13*q21*q22*q23),G);;


d1212123:=StrongNormalFormNP(AddNP(MulNP(d12,d12123),MulNP(d12123,d12),1,-q11^2*q12^2*q13*q21^2*q22^2*q23),G);;
x1212123:=StrongNormalFormNP(AddNP(MulNP(x12,x12123),MulNP(x12123,x12),1,-q11^2*q12^2*q13*q21^2*q22^2*q23),G);;
y1212123:=StrongNormalFormNP(AddNP(MulNP(y12,y12123),MulNP(y12123,y12),1,-q11^2*q12^2*q13*q21^2*q22^2*q23),G);;


d12121232:=StrongNormalFormNP(AddNP(MulNP(d1212123,d2),MulNP(d2,d1212123),1,-q12^3*q22^3*q32),G);;
x12121232:=StrongNormalFormNP(AddNP(MulNP(x1212123,x2),MulNP(x2,x1212123),1,-q12^3*q22^3*q32),G);;
y12121232:=StrongNormalFormNP(AddNP(MulNP(y1212123,y2),MulNP(y2,y1212123),1,-q12^3*q22^3*q32),G);;

r:=AddNP(AddNP(d12121232,x12121232,1,-1),y12121232,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(r,G));

	

