LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/g3bp.log");

### With this file we show that the power of the generalized quantum Serre relation in g(3)-b, canot be deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y3","y2","y1","x3","x2","x1");

t13:=Indeterminate(Rationals,"t13");
t1:=Indeterminate(Rationals,"t1");
t2:=Indeterminate(Rationals,"t2");

q:=Indeterminate(Rationals,"q");;

q11:=-1;
q22:=-1;
q33:=q^3;

q12:=Indeterminate(Rationals,"q12");
q13:=Indeterminate(Rationals,"q13");
q23:=Indeterminate(Rationals,"q23");

q21:=q*q12^-1;
q31:=q13^-1;
q32:=q^-3*q23^-1;

y1:=[[[3]],[1]];;
x1:=[[[6]],[1]];;
y2:=[[[2]],[1]];;
x2:=[[[5]],[1]];;
y3:=[[[1]],[1]];;
x3:=[[[4]],[1]];;

y13:=[ [[3,1], [ 1,3]], [1,-q13] ];;
x13:=[ [[6,4], [ 4,6]], [1,-q13] ];;
y13d:=AddNP(y13,[ [ [] ], [t13]],1,-1);;

K:=[
[ [[3,3],[]     ], [1,-t1]],
[ [[2,2],[]     ], [1,-t2]],
[ [[6,6]        ], [1]    ],
[ [[5,5]        ], [1]    ],
y13d,
x13,
[ [[4,1], [ 1,4]], [1,-q33] ],
[ [[4,2], [ 2,4]], [1,-q32] ],
[ [[4,3], [ 3,4]], [1,-q31] ],
[ [[5,1], [ 1,5]], [1,-q23] ],
[ [[5,2], [ 2,5]], [1,-q22] ],
[ [[5,3], [ 3,5]], [1,-q21] ],
[ [[6,1], [ 1,6]], [1,-q13] ],
[ [[6,2], [ 2,6]], [1,-q12] ],
[ [[6,3], [ 3,6]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

d1:=[[[3],[6]],[1,1]];;
d2:=[[[2],[5]],[1,1]];;
d3:=[[[1],[4]],[1,1]];;

d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;
y12:=[[[3,2],[2,3]],[1,-q12]];;
x12:=[[[6,5],[5,6]],[1,-q12]];;

d23:=AddNP(MulNP(d2,d3),MulNP(d3,d2),1,-q23);;
y23:=[[[2,1],[1,2]],[1,-q23]];
x23:=[[[5,4],[4,5]],[1,-q23]];

y23c:=MulNP(y23,y23);;
x23c:=MulNP(x23,x23);;
d23c:=MulNP(d23,d23);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(AddNP(AddNP(d23c,x23c,1,-1),y23c,1,-1),G));

