LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/g3c.log");

### With this file we show that the generalized quantum Serre relation in g(3)-c, canot be deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y3","y2","y1","x3","x2","x1");

t13:=Indeterminate(Rationals,"t13");
t2:=Indeterminate(Rationals,"t2");


Print("Case lambda2 nonzero, q12=32=1 \n");

q:=Indeterminate(Rationals,"q");;

q11:=-q^-1;
q22:=-1;
q33:=q^3;

q12:=1;;
q32:=1;;
q13:=Indeterminate(Rationals,"q13");

q21:=q^2*q12^-1;
q31:=q13^-1;
q23:=q^-3*q32^-1;

y1:=[[[3]],[1]];;
x1:=[[[6]],[1]];;
y2:=[[[2]],[1]];;
x2:=[[[5]],[1]];;
y3:=[[[1]],[1]];;
x3:=[[[4]],[1]];;

y13:=[ [[3,1], [ 1,3]], [1,-q13] ];;
x13:=[ [[6,4], [ 4,6]], [1,-q13] ];;
y13d:=AddNP(y13,[ [ [] ], [t13]],1,-1);;

y2c:=MulNP(y2,y2);;
x2c:=MulNP(x2,x2);;
y2d:=AddNP(y2c,[ [ [] ], [t2]],1,-1);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);

K:=[
y2d,
x2c,
y13,
x13,
b11,b12,b13,
b21,b22,b23,
b31,b32,b33
];;

PrintNPList(K);

G:=SGrobner(K);;

d1:=[[[3],[6]],[1,1]];;
d2:=[[[2],[5]],[1,1]];;
d3:=[[[1],[4]],[1,1]];;

d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;
y12:=[[[3,2],[2,3]],[1,-q12]];;
x12:=[[[6,5],[5,6]],[1,-q12]];;

d23:=AddNP(MulNP(d2,d3),MulNP(d3,d2),1,-q23);;
y23:=[[[2,1],[1,2]],[1,-q23]];
x23:=[[[5,4],[4,5]],[1,-q23]];

d123:=AddNP(MulNP(d1,d23),MulNP(d23,d1),1,-q12*q13);;
x123:=AddNP(MulNP(x1,x23),MulNP(x23,x1),1,-q12*q13);;
y123:=AddNP(MulNP(y1,y23),MulNP(y23,y1),1,-q12*q13);;

d1232:=AddNP(MulNP(d123,d2),MulNP(d2,d123),1,-q12*q22*q32);;
x1232:=AddNP(MulNP(x123,x2),MulNP(x2,x123),1,-q12*q22*q32);;
y1232:=AddNP(MulNP(y123,y2),MulNP(y2,y123),1,-q12*q22*q32);;

d11232:=AddNP(MulNP(d1,d1232),MulNP(d1232,d1),1,-q11*q12^2*q13);;
x11232:=AddNP(MulNP(x1,x1232),MulNP(x1232,x1),1,-q11*q12^2*q13);;
y11232:=AddNP(MulNP(y1,y1232),MulNP(y1232,y1),1,-q11*q12^2*q13);;

d12123:=AddNP(MulNP(d12,d123),MulNP(d123,d12),1,-q11*q12*q13*q21*q22*q23);;
x12123:=AddNP(MulNP(x12,x123),MulNP(x123,x12),1,-q11*q12*q13*q21*q22*q23);;
y12123:=AddNP(MulNP(y12,y123),MulNP(y123,y12),1,-q11*q12*q13*q21*q22*q23);;

d12312:=MulNP(d123,d12);;
x12312:=MulNP(x123,x12);;
y12312:=MulNP(y123,y12);;

a:=-q12*q32*(1+q)^-1;;
b:=q12*q13*(1-q^-1)*q^-1;;

d:=AddNP(AddNP(d11232,d12123,1,a),d12312,1,b);;
x:=AddNP(AddNP(x11232,x12123,1,a),x12312,1,b);;
y:=AddNP(AddNP(y11232,y12123,1,a),y12312,1,b);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(r,G));

#######################################################################



Print("Case lambda2 nonzero, q12=-32=1 \n");

q:=Indeterminate(Rationals,"q");;

q11:=-q^-1;
q22:=-1;
q33:=q^3;

q12:=1;;
q32:=-1;;
q13:=Indeterminate(Rationals,"q13");

q21:=q^2*q12^-1;
q31:=q13^-1;
q23:=q^-3*q32^-1;

y1:=[[[3]],[1]];;
x1:=[[[6]],[1]];;
y2:=[[[2]],[1]];;
x2:=[[[5]],[1]];;
y3:=[[[1]],[1]];;
x3:=[[[4]],[1]];;

y13:=[ [[3,1], [ 1,3]], [1,-q13] ];;
x13:=[ [[6,4], [ 4,6]], [1,-q13] ];;
y13d:=AddNP(y13,[ [ [] ], [t13]],1,-1);;

y2c:=MulNP(y2,y2);;
x2c:=MulNP(x2,x2);;
y2d:=AddNP(y2c,[ [ [] ], [t2]],1,-1);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);

K:=[
y2d,
x2c,
y13,
x13,
b11,b12,b13,
b21,b22,b23,
b31,b32,b33
];;

PrintNPList(K);

G:=SGrobner(K);;

d1:=[[[3],[6]],[1,1]];;
d2:=[[[2],[5]],[1,1]];;
d3:=[[[1],[4]],[1,1]];;

d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;
y12:=[[[3,2],[2,3]],[1,-q12]];;
x12:=[[[6,5],[5,6]],[1,-q12]];;

d23:=AddNP(MulNP(d2,d3),MulNP(d3,d2),1,-q23);;
y23:=[[[2,1],[1,2]],[1,-q23]];
x23:=[[[5,4],[4,5]],[1,-q23]];

d123:=AddNP(MulNP(d1,d23),MulNP(d23,d1),1,-q12*q13);;
x123:=AddNP(MulNP(x1,x23),MulNP(x23,x1),1,-q12*q13);;
y123:=AddNP(MulNP(y1,y23),MulNP(y23,y1),1,-q12*q13);;

d1232:=AddNP(MulNP(d123,d2),MulNP(d2,d123),1,-q12*q22*q32);;
x1232:=AddNP(MulNP(x123,x2),MulNP(x2,x123),1,-q12*q22*q32);;
y1232:=AddNP(MulNP(y123,y2),MulNP(y2,y123),1,-q12*q22*q32);;

d11232:=AddNP(MulNP(d1,d1232),MulNP(d1232,d1),1,-q11*q12^2*q13);;
x11232:=AddNP(MulNP(x1,x1232),MulNP(x1232,x1),1,-q11*q12^2*q13);;
y11232:=AddNP(MulNP(y1,y1232),MulNP(y1232,y1),1,-q11*q12^2*q13);;

d12123:=AddNP(MulNP(d12,d123),MulNP(d123,d12),1,-q11*q12*q13*q21*q22*q23);;
x12123:=AddNP(MulNP(x12,x123),MulNP(x123,x12),1,-q11*q12*q13*q21*q22*q23);;
y12123:=AddNP(MulNP(y12,y123),MulNP(y123,y12),1,-q11*q12*q13*q21*q22*q23);;

d12312:=MulNP(d123,d12);;
x12312:=MulNP(x123,x12);;
y12312:=MulNP(y123,y12);;

a:=-q12*q32*(1+q)^-1;;
b:=q12*q13*(1-q^-1)*q^-1;;

d:=AddNP(AddNP(d11232,d12123,1,a),d12312,1,b);;
x:=AddNP(AddNP(x11232,x12123,1,a),x12312,1,b);;
y:=AddNP(AddNP(y11232,y12123,1,a),y12312,1,b);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(r,G));


#######################################################################



Print("Case lambda2 nonzero, -q12=32=1 \n");

q:=Indeterminate(Rationals,"q");;

q11:=-q^-1;
q22:=-1;
q33:=q^3;

q12:=-1;;
q32:=1;;
q13:=Indeterminate(Rationals,"q13");

q21:=q^2*q12^-1;
q31:=q13^-1;
q23:=q^-3*q32^-1;

y1:=[[[3]],[1]];;
x1:=[[[6]],[1]];;
y2:=[[[2]],[1]];;
x2:=[[[5]],[1]];;
y3:=[[[1]],[1]];;
x3:=[[[4]],[1]];;

y13:=[ [[3,1], [ 1,3]], [1,-q13] ];;
x13:=[ [[6,4], [ 4,6]], [1,-q13] ];;
y13d:=AddNP(y13,[ [ [] ], [t13]],1,-1);;

y2c:=MulNP(y2,y2);;
x2c:=MulNP(x2,x2);;
y2d:=AddNP(y2c,[ [ [] ], [t2]],1,-1);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);

K:=[
y2d,
x2c,
y13,
x13,
b11,b12,b13,
b21,b22,b23,
b31,b32,b33
];;

PrintNPList(K);

G:=SGrobner(K);;

d1:=[[[3],[6]],[1,1]];;
d2:=[[[2],[5]],[1,1]];;
d3:=[[[1],[4]],[1,1]];;

d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;
y12:=[[[3,2],[2,3]],[1,-q12]];;
x12:=[[[6,5],[5,6]],[1,-q12]];;

d23:=AddNP(MulNP(d2,d3),MulNP(d3,d2),1,-q23);;
y23:=[[[2,1],[1,2]],[1,-q23]];
x23:=[[[5,4],[4,5]],[1,-q23]];

d123:=AddNP(MulNP(d1,d23),MulNP(d23,d1),1,-q12*q13);;
x123:=AddNP(MulNP(x1,x23),MulNP(x23,x1),1,-q12*q13);;
y123:=AddNP(MulNP(y1,y23),MulNP(y23,y1),1,-q12*q13);;

d1232:=AddNP(MulNP(d123,d2),MulNP(d2,d123),1,-q12*q22*q32);;
x1232:=AddNP(MulNP(x123,x2),MulNP(x2,x123),1,-q12*q22*q32);;
y1232:=AddNP(MulNP(y123,y2),MulNP(y2,y123),1,-q12*q22*q32);;

d11232:=AddNP(MulNP(d1,d1232),MulNP(d1232,d1),1,-q11*q12^2*q13);;
x11232:=AddNP(MulNP(x1,x1232),MulNP(x1232,x1),1,-q11*q12^2*q13);;
y11232:=AddNP(MulNP(y1,y1232),MulNP(y1232,y1),1,-q11*q12^2*q13);;

d12123:=AddNP(MulNP(d12,d123),MulNP(d123,d12),1,-q11*q12*q13*q21*q22*q23);;
x12123:=AddNP(MulNP(x12,x123),MulNP(x123,x12),1,-q11*q12*q13*q21*q22*q23);;
y12123:=AddNP(MulNP(y12,y123),MulNP(y123,y12),1,-q11*q12*q13*q21*q22*q23);;

d12312:=MulNP(d123,d12);;
x12312:=MulNP(x123,x12);;
y12312:=MulNP(y123,y12);;

a:=-q12*q32*(1+q)^-1;;
b:=q12*q13*(1-q^-1)*q^-1;;

d:=AddNP(AddNP(d11232,d12123,1,a),d12312,1,b);;
x:=AddNP(AddNP(x11232,x12123,1,a),x12312,1,b);;
y:=AddNP(AddNP(y11232,y12123,1,a),y12312,1,b);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(r,G));


#######################################################################



Print("Case lambda2 nonzero, -q12=-32=1 \n");

q:=Indeterminate(Rationals,"q");;

q11:=-q^-1;
q22:=-1;
q33:=q^3;

q12:=-1;;
q32:=-1;;
q13:=Indeterminate(Rationals,"q13");

q21:=q^2*q12^-1;
q31:=q13^-1;
q23:=q^-3*q32^-1;

y1:=[[[3]],[1]];;
x1:=[[[6]],[1]];;
y2:=[[[2]],[1]];;
x2:=[[[5]],[1]];;
y3:=[[[1]],[1]];;
x3:=[[[4]],[1]];;

y13:=[ [[3,1], [ 1,3]], [1,-q13] ];;
x13:=[ [[6,4], [ 4,6]], [1,-q13] ];;
y13d:=AddNP(y13,[ [ [] ], [t13]],1,-1);;

y2c:=MulNP(y2,y2);;
x2c:=MulNP(x2,x2);;
y2d:=AddNP(y2c,[ [ [] ], [t2]],1,-1);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);

K:=[
y2d,
x2c,
y13,
x13,
b11,b12,b13,
b21,b22,b23,
b31,b32,b33
];;

PrintNPList(K);

G:=SGrobner(K);;

d1:=[[[3],[6]],[1,1]];;
d2:=[[[2],[5]],[1,1]];;
d3:=[[[1],[4]],[1,1]];;

d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;
y12:=[[[3,2],[2,3]],[1,-q12]];;
x12:=[[[6,5],[5,6]],[1,-q12]];;

d23:=AddNP(MulNP(d2,d3),MulNP(d3,d2),1,-q23);;
y23:=[[[2,1],[1,2]],[1,-q23]];
x23:=[[[5,4],[4,5]],[1,-q23]];

d123:=AddNP(MulNP(d1,d23),MulNP(d23,d1),1,-q12*q13);;
x123:=AddNP(MulNP(x1,x23),MulNP(x23,x1),1,-q12*q13);;
y123:=AddNP(MulNP(y1,y23),MulNP(y23,y1),1,-q12*q13);;

d1232:=AddNP(MulNP(d123,d2),MulNP(d2,d123),1,-q12*q22*q32);;
x1232:=AddNP(MulNP(x123,x2),MulNP(x2,x123),1,-q12*q22*q32);;
y1232:=AddNP(MulNP(y123,y2),MulNP(y2,y123),1,-q12*q22*q32);;

d11232:=AddNP(MulNP(d1,d1232),MulNP(d1232,d1),1,-q11*q12^2*q13);;
x11232:=AddNP(MulNP(x1,x1232),MulNP(x1232,x1),1,-q11*q12^2*q13);;
y11232:=AddNP(MulNP(y1,y1232),MulNP(y1232,y1),1,-q11*q12^2*q13);;

d12123:=AddNP(MulNP(d12,d123),MulNP(d123,d12),1,-q11*q12*q13*q21*q22*q23);;
x12123:=AddNP(MulNP(x12,x123),MulNP(x123,x12),1,-q11*q12*q13*q21*q22*q23);;
y12123:=AddNP(MulNP(y12,y123),MulNP(y123,y12),1,-q11*q12*q13*q21*q22*q23);;

d12312:=MulNP(d123,d12);;
x12312:=MulNP(x123,x12);;
y12312:=MulNP(y123,y12);;

a:=-q12*q32*(1+q)^-1;;
b:=q12*q13*(1-q^-1)*q^-1;;

d:=AddNP(AddNP(d11232,d12123,1,a),d12312,1,b);;
x:=AddNP(AddNP(x11232,x12123,1,a),x12312,1,b);;
y:=AddNP(AddNP(y11232,y12123,1,a),y12312,1,b);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(r,G));

#######################################################################
########################################################################
######################################################################

Print("Case lambda3 nonzero \n");

q:=E(4);;

c:=Indeterminate(Rationals,"c");


q11:=-q^-1;
q22:=-1;
q33:=q^3;

q21:=c;;
q12:=-c^-1;

q23:=c^-1;;
q32:=c*q;;

q13:=q^-1;
q31:=q13^-1;


y1:=[[[3]],[1]];;
x1:=[[[6]],[1]];;
y2:=[[[2]],[1]];;
x2:=[[[5]],[1]];;
y3:=[[[1]],[1]];;
x3:=[[[4]],[1]];;

y13:=[ [[3,1], [ 1,3]], [1,-q13] ];;
x13:=[ [[6,4], [ 4,6]], [1,-q13] ];;
y13d:=AddNP(y13,[ [ [] ], [t13]],1,-1);;

y2c:=MulNP(y2,y2);;
x2c:=MulNP(x2,x2);;
y2d:=AddNP(y2c,[ [ [] ], [t2]],1,-1);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);

K:=[
y2c,
x2c,
y13d,
x13,
b11,b12,b13,
b21,b22,b23,
b31,b32,b33
];;

PrintNPList(K);

G:=SGrobner(K);;

d1:=[[[3],[6]],[1,1]];;
d2:=[[[2],[5]],[1,1]];;
d3:=[[[1],[4]],[1,1]];;

d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;
y12:=[[[3,2],[2,3]],[1,-q12]];;
x12:=[[[6,5],[5,6]],[1,-q12]];;

d23:=AddNP(MulNP(d2,d3),MulNP(d3,d2),1,-q23);;
y23:=[[[2,1],[1,2]],[1,-q23]];
x23:=[[[5,4],[4,5]],[1,-q23]];

d123:=AddNP(MulNP(d1,d23),MulNP(d23,d1),1,-q12*q13);;
x123:=AddNP(MulNP(x1,x23),MulNP(x23,x1),1,-q12*q13);;
y123:=AddNP(MulNP(y1,y23),MulNP(y23,y1),1,-q12*q13);;

d1232:=AddNP(MulNP(d123,d2),MulNP(d2,d123),1,-q12*q22*q32);;
x1232:=AddNP(MulNP(x123,x2),MulNP(x2,x123),1,-q12*q22*q32);;
y1232:=AddNP(MulNP(y123,y2),MulNP(y2,y123),1,-q12*q22*q32);;

d11232:=AddNP(MulNP(d1,d1232),MulNP(d1232,d1),1,-q11*q12^2*q13);;
x11232:=AddNP(MulNP(x1,x1232),MulNP(x1232,x1),1,-q11*q12^2*q13);;
y11232:=AddNP(MulNP(y1,y1232),MulNP(y1232,y1),1,-q11*q12^2*q13);;

d12123:=AddNP(MulNP(d12,d123),MulNP(d123,d12),1,-q11*q12*q13*q21*q22*q23);;
x12123:=AddNP(MulNP(x12,x123),MulNP(x123,x12),1,-q11*q12*q13*q21*q22*q23);;
y12123:=AddNP(MulNP(y12,y123),MulNP(y123,y12),1,-q11*q12*q13*q21*q22*q23);;

d12312:=MulNP(d123,d12);;
x12312:=MulNP(x123,x12);;
y12312:=MulNP(y123,y12);;

a:=-q12*q32*(1+q)^-1;;
b:=q12*q13*(1-q^-1)*q^-1;;

d:=AddNP(AddNP(d11232,d12123,1,a),d12312,1,b);;
x:=AddNP(AddNP(x11232,x12123,1,a),x12312,1,b);;
y:=AddNP(AddNP(y11232,y12123,1,a),y12312,1,b);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(r,G));
	

