LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/ufo10c.log");

### With this file we show that the generalized auqntum Serre relation in ufo(10)-c canot be deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y2","y1","x2","x1");

q:=E(20);

t:=Indeterminate(Rationals,"t");

q11:=-q^-2;
q12:=Indeterminate(Rationals,"q12");
q21:=q^3*q12^-1;
q22:=-1;

Print("Case 1: lambda2 not zero: \n");

K:=[[ [ [ 2, 2, 2, 2, 2 ] ],   [ 1] ],
[ [ [ 1, 1 ], [] ],   [ 1, -t ] ],
[ [ [ 4, 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 3, 3 ] ],   [ 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y1y112y12:=AddNP(MulNP(y1,y112y12),MulNP(y112y12,y1),1,-q11^3*q12^2);;
x1x112x12:=AddNP(MulNP(x1,x112x12),MulNP(x112x12,x1),1,-q11^3*q12^2);;
d1d112d12:=AddNP(MulNP(d1,d112d12),MulNP(d112d12,d1),1,-q11^3*q12^2);;

y112c:=StrongNormalFormNP(MulNP(y112,y112),G);;
x112c:=StrongNormalFormNP(MulNP(x112,x112),G);;
d112c:=StrongNormalFormNP(MulNP(d112,d112),G);;

c:=q12*(1-q^17)*(1-q^2)^-1;;

yufo10:=StrongNormalFormNP(AddNP(y1y112y12,y112c,1,c),G);;
xufo10:=StrongNormalFormNP(AddNP(x1x112x12,x112c,1,c),G);;
dufo10:=StrongNormalFormNP(AddNP(d1d112d12,d112c,1,c),G);;


rufo10:=AddNP(AddNP(dufo10,xufo10,1,-1),yufo10,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(rufo10,G));


Print("Case 2: lambda1 not zero: \n");

K:=[[ [ [ 2, 2, 2, 2, 2 ], [] ],   [ 1,-t] ],
[ [ [ 1, 1 ]],   [ 1] ],
[ [ [ 4, 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 3, 3 ] ],   [ 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;


PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y1y112y12:=AddNP(MulNP(y1,y112y12),MulNP(y112y12,y1),1,-q11^3*q12^2);;
x1x112x12:=AddNP(MulNP(x1,x112x12),MulNP(x112x12,x1),1,-q11^3*q12^2);;
d1d112d12:=AddNP(MulNP(d1,d112d12),MulNP(d112d12,d1),1,-q11^3*q12^2);;

y112c:=StrongNormalFormNP(MulNP(y112,y112),G);;
x112c:=StrongNormalFormNP(MulNP(x112,x112),G);;
d112c:=StrongNormalFormNP(MulNP(d112,d112),G);;

c:=q12*(1-q^17)*(1-q^2)^-1;;

yufo10:=StrongNormalFormNP(AddNP(y1y112y12,y112c,1,-c),G);;
xufo10:=StrongNormalFormNP(AddNP(x1x112x12,x112c,1,-c),G);;
dufo10:=StrongNormalFormNP(AddNP(d1d112d12,d112c,1,-c),G);;


rufo10:=AddNP(AddNP(dufo10,xufo10,1,-1),yufo10,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(rufo10,G));
