LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/ufo11a.log");

### With this file we show that the generalized quantum Serre relation in ufo(11)-a canot be deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y2","y1","x2","x1");

q:=E(15);

t:=Indeterminate(Rationals,"t");

Print("Case 1: q12=1: \n");

q11:=-q;
q12:=1;
q21:=-q^-3*q12^-1;
q22:=q^5;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y122:=AddNP(MulNP(y12,y2),MulNP(y2,y12),1,-q22*q12);;
x122:=AddNP(MulNP(x12,x2),MulNP(x2,x12),1,-q22*q12);;
d122:=AddNP(MulNP(d12,d2),MulNP(d2,d12),1,-q22*q12);;

y1y122:=AddNP(MulNP(y1,y122),MulNP(y122,y1),1,-q11*q12^2);;
x1x122:=AddNP(MulNP(x1,x122),MulNP(x122,x1),1,-q11*q12^2);;
d1d122:=AddNP(MulNP(d1,d122),MulNP(d122,d1),1,-q11*q12^2);;

y12c:=MulNP(y12,y12);;
x12c:=MulNP(x12,x12);;
d12c:=MulNP(d12,d12);;


ag:=-(1+q22)*(1-q22*q12*q21)*(1-q12*q21)^-1*q22^-1*q21^-1;;

ry:=AddNP(y1y122,y12c,1,ag);;
rx:=AddNP(x1x122,x12c,1,ag);;
rd:=AddNP(d1d122,d12c,1,ag);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y1112:=AddNP(MulNP(y1,y112),MulNP(y112,y1),1,-q11^2*q12);;
x1112:=AddNP(MulNP(x1,x112),MulNP(x112,x1),1,-q11^2*q12);;

y11112:=AddNP(MulNP(y1,y1112),MulNP(y1112,y1),1,-q11^3*q12);;
x11112:=AddNP(MulNP(x1,x1112),MulNP(x1112,x1),1,-q11^3*q12);;


K:=[
[ [ [ 1, 1, 1 ], [] ],   [ 1, -t ] ],
[ [ [ 3, 3, 3 ] ],   [ 1 ] ],
y11112,
x11112,
ry,
rx,
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;


y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

rufo11a:=AddNP(AddNP(d112d12d12,x112x12x12,1,-1),y112y12y12,1,-1);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo11a,G));

Print("Case 2: q12=E(3): \n");


q11:=-q;
q12:=E(3);
q21:=-q^-3*q12^-1;
q22:=q^5;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y122:=AddNP(MulNP(y12,y2),MulNP(y2,y12),1,-q22*q12);;
x122:=AddNP(MulNP(x12,x2),MulNP(x2,x12),1,-q22*q12);;
d122:=AddNP(MulNP(d12,d2),MulNP(d2,d12),1,-q22*q12);;

y1y122:=AddNP(MulNP(y1,y122),MulNP(y122,y1),1,-q11*q12^2);;
x1x122:=AddNP(MulNP(x1,x122),MulNP(x122,x1),1,-q11*q12^2);;
d1d122:=AddNP(MulNP(d1,d122),MulNP(d122,d1),1,-q11*q12^2);;

y12c:=MulNP(y12,y12);;
x12c:=MulNP(x12,x12);;
d12c:=MulNP(d12,d12);;


ag:=-(1+q22)*(1-q22*q12*q21)*(1-q12*q21)^-1*q22^-1*q21^-1;;

ry:=AddNP(y1y122,y12c,1,ag);;
rx:=AddNP(x1x122,x12c,1,ag);;
rd:=AddNP(d1d122,d12c,1,ag);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y1112:=AddNP(MulNP(y1,y112),MulNP(y112,y1),1,-q11^2*q12);;
x1112:=AddNP(MulNP(x1,x112),MulNP(x112,x1),1,-q11^2*q12);;

y11112:=AddNP(MulNP(y1,y1112),MulNP(y1112,y1),1,-q11^3*q12);;
x11112:=AddNP(MulNP(x1,x1112),MulNP(x1112,x1),1,-q11^3*q12);;


K:=[
[ [ [ 1, 1, 1 ], [] ],   [ 1, -t ] ],
[ [ [ 3, 3, 3 ] ],   [ 1 ] ],
y11112,
x11112,
ry,
rx,
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;


y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

rufo11a:=AddNP(AddNP(d112d12d12,x112x12x12,1,-1),y112y12y12,1,-1);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo11a,G));

Print("Case 2: q12=E(3)^2: \n");


q11:=-q;
q12:=E(3)^2;
q21:=-q^-3*q12^-1;
q22:=q^5;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y122:=AddNP(MulNP(y12,y2),MulNP(y2,y12),1,-q22*q12);;
x122:=AddNP(MulNP(x12,x2),MulNP(x2,x12),1,-q22*q12);;
d122:=AddNP(MulNP(d12,d2),MulNP(d2,d12),1,-q22*q12);;

y1y122:=AddNP(MulNP(y1,y122),MulNP(y122,y1),1,-q11*q12^2);;
x1x122:=AddNP(MulNP(x1,x122),MulNP(x122,x1),1,-q11*q12^2);;
d1d122:=AddNP(MulNP(d1,d122),MulNP(d122,d1),1,-q11*q12^2);;

y12c:=MulNP(y12,y12);;
x12c:=MulNP(x12,x12);;
d12c:=MulNP(d12,d12);;


ag:=-(1+q22)*(1-q22*q12*q21)*(1-q12*q21)^-1*q22^-1*q21^-1;;

ry:=AddNP(y1y122,y12c,1,ag);;
rx:=AddNP(x1x122,x12c,1,ag);;
rd:=AddNP(d1d122,d12c,1,ag);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y1112:=AddNP(MulNP(y1,y112),MulNP(y112,y1),1,-q11^2*q12);;
x1112:=AddNP(MulNP(x1,x112),MulNP(x112,x1),1,-q11^2*q12);;

y11112:=AddNP(MulNP(y1,y1112),MulNP(y1112,y1),1,-q11^3*q12);;
x11112:=AddNP(MulNP(x1,x1112),MulNP(x1112,x1),1,-q11^3*q12);;


K:=[
[ [ [ 1, 1, 1 ], [] ],   [ 1, -t ] ],
[ [ [ 3, 3, 3 ] ],   [ 1 ] ],
y11112,
x11112,
ry,
rx,
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;


y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

rufo11a:=AddNP(AddNP(d112d12d12,x112x12x12,1,-1),y112y12y12,1,-1);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo11a,G));
