LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/ufo11b.log");

### With this file we show that the generalized quantum Serre relation in ufo(11)-b canot be deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y2","y1","x2","x1");

q:=E(15);

t:=Indeterminate(Rationals,"t");

Print("Case 1: q21=1: \n");

q11:=q^3;
q21:=1;
q12:=-q^4*q21^-1;
q22:=-q^-4;

K:=[[ [ [ 2, 2, 2, 2, 2 ], [] ],   [ 1, -t] ],
[ [ [ 2, 1, 1 ], [ 1, 2, 1 ], [ 1, 1, 2 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [ [ 4, 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 4, 3, 3 ], [ 3, 4, 3 ], [ 3, 3, 4 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

x122:=AddNP(MulNP(x12,x2),MulNP(x2,x12),1,-q22*q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y12y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12y12,y12),MulNP(y12,y112y12y12),1,-q11^4*q12^4*q21^3*q22^3),G);;
x112x12x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12x12,x12),MulNP(x12,x112x12x12),1,-q11^4*q12^4*q21^3*q22^3),G);;
d112d12d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12d12,d12),MulNP(d12,d112d12d12),1,-q11^4*q12^4*q21^3*q22^3),G);;

yufo11b1:=y112y12y12y12;;
xufo11b1:=x112x12x12x12;;
dufo11b1:=d112d12d12d12;;

c:=t*q21*(E(15)+E(15)^4+3*E(15)^8+4*E(15)^13-3*E(15)^14);;

d4:=MulNP(d2,MulNP(d2,MulNP(d2,d2)));;
y4:=MulNP(y2,MulNP(y2,MulNP(y2,y2)));;

rufo11b:=AddNP(AddNP(AddNP(dufo11b1,xufo11b1,1,-1),yufo11b1,1,-1),y4,1,c);;

rufo11bd:=StrongNormalFormNP(AddNP(rufo11b,d4,1,-c),G);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo11bd,G));

Print("Case 2: q21=E(5): \n");

q11:=q^3;
q21:=E(5);
q12:=-q^4*q21^-1;
q22:=-q^-4;

K:=[[ [ [ 2, 2, 2, 2, 2 ], [] ],   [ 1, -t] ],
[ [ [ 2, 1, 1 ], [ 1, 2, 1 ], [ 1, 1, 2 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [ [ 4, 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 4, 3, 3 ], [ 3, 4, 3 ], [ 3, 3, 4 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

x122:=AddNP(MulNP(x12,x2),MulNP(x2,x12),1,-q22*q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y12y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12y12,y12),MulNP(y12,y112y12y12),1,-q11^4*q12^4*q21^3*q22^3),G);;
x112x12x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12x12,x12),MulNP(x12,x112x12x12),1,-q11^4*q12^4*q21^3*q22^3),G);;
d112d12d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12d12,d12),MulNP(d12,d112d12d12),1,-q11^4*q12^4*q21^3*q22^3),G);;

yufo11b1:=y112y12y12y12;;
xufo11b1:=x112x12x12x12;;
dufo11b1:=d112d12d12d12;;

c:=t*q21*(E(15)+E(15)^4+3*E(15)^8+4*E(15)^13-3*E(15)^14);;

d4:=MulNP(d2,MulNP(d2,MulNP(d2,d2)));;
y4:=MulNP(y2,MulNP(y2,MulNP(y2,y2)));;

rufo11b:=AddNP(AddNP(AddNP(dufo11b1,xufo11b1,1,-1),yufo11b1,1,-1),y4,1,c);;

rufo11bd:=StrongNormalFormNP(AddNP(rufo11b,d4,1,-c),G);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo11bd,G));


Print("Case 3: q21=E(5)^2: \n");

q11:=q^3;
q21:=E(5)^2;
q12:=-q^4*q21^-1;
q22:=-q^-4;

K:=[[ [ [ 2, 2, 2, 2, 2 ], [] ],   [ 1, -t] ],
[ [ [ 2, 1, 1 ], [ 1, 2, 1 ], [ 1, 1, 2 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [ [ 4, 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 4, 3, 3 ], [ 3, 4, 3 ], [ 3, 3, 4 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

x122:=AddNP(MulNP(x12,x2),MulNP(x2,x12),1,-q22*q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y12y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12y12,y12),MulNP(y12,y112y12y12),1,-q11^4*q12^4*q21^3*q22^3),G);;
x112x12x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12x12,x12),MulNP(x12,x112x12x12),1,-q11^4*q12^4*q21^3*q22^3),G);;
d112d12d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12d12,d12),MulNP(d12,d112d12d12),1,-q11^4*q12^4*q21^3*q22^3),G);;

yufo11b1:=y112y12y12y12;;
xufo11b1:=x112x12x12x12;;
dufo11b1:=d112d12d12d12;;

c:=t*q21*(E(15)+E(15)^4+3*E(15)^8+4*E(15)^13-3*E(15)^14);;

d4:=MulNP(d2,MulNP(d2,MulNP(d2,d2)));;
y4:=MulNP(y2,MulNP(y2,MulNP(y2,y2)));;

rufo11b:=AddNP(AddNP(AddNP(dufo11b1,xufo11b1,1,-1),yufo11b1,1,-1),y4,1,c);;

rufo11bd:=StrongNormalFormNP(AddNP(rufo11b,d4,1,-c),G);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo11bd,G));

Print("Case 4: q21=E(5)^3: \n");

q11:=q^3;
q21:=E(5)^3;
q12:=-q^4*q21^-1;
q22:=-q^-4;

K:=[[ [ [ 2, 2, 2, 2, 2 ], [] ],   [ 1, -t] ],
[ [ [ 2, 1, 1 ], [ 1, 2, 1 ], [ 1, 1, 2 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [ [ 4, 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 4, 3, 3 ], [ 3, 4, 3 ], [ 3, 3, 4 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

x122:=AddNP(MulNP(x12,x2),MulNP(x2,x12),1,-q22*q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y12y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12y12,y12),MulNP(y12,y112y12y12),1,-q11^4*q12^4*q21^3*q22^3),G);;
x112x12x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12x12,x12),MulNP(x12,x112x12x12),1,-q11^4*q12^4*q21^3*q22^3),G);;
d112d12d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12d12,d12),MulNP(d12,d112d12d12),1,-q11^4*q12^4*q21^3*q22^3),G);;

yufo11b1:=y112y12y12y12;;
xufo11b1:=x112x12x12x12;;
dufo11b1:=d112d12d12d12;;

c:=t*q21*(E(15)+E(15)^4+3*E(15)^8+4*E(15)^13-3*E(15)^14);;

d4:=MulNP(d2,MulNP(d2,MulNP(d2,d2)));;
y4:=MulNP(y2,MulNP(y2,MulNP(y2,y2)));;

rufo11b:=AddNP(AddNP(AddNP(dufo11b1,xufo11b1,1,-1),yufo11b1,1,-1),y4,1,c);;

rufo11bd:=StrongNormalFormNP(AddNP(rufo11b,d4,1,-c),G);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo11bd,G));

Print("Case 5: q21=E(5)^4: \n");

q11:=q^3;
q21:=E(5)^4;
q12:=-q^4*q21^-1;
q22:=-q^-4;

K:=[[ [ [ 2, 2, 2, 2, 2 ], [] ],   [ 1, -t] ],
[ [ [ 2, 1, 1 ], [ 1, 2, 1 ], [ 1, 1, 2 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [ [ 4, 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 4, 3, 3 ], [ 3, 4, 3 ], [ 3, 3, 4 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

x122:=AddNP(MulNP(x12,x2),MulNP(x2,x12),1,-q22*q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y12y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12y12,y12),MulNP(y12,y112y12y12),1,-q11^4*q12^4*q21^3*q22^3),G);;
x112x12x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12x12,x12),MulNP(x12,x112x12x12),1,-q11^4*q12^4*q21^3*q22^3),G);;
d112d12d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12d12,d12),MulNP(d12,d112d12d12),1,-q11^4*q12^4*q21^3*q22^3),G);;

yufo11b1:=y112y12y12y12;;
xufo11b1:=x112x12x12x12;;
dufo11b1:=d112d12d12d12;;

c:=t*q21*(E(15)+E(15)^4+3*E(15)^8+4*E(15)^13-3*E(15)^14);;

d4:=MulNP(d2,MulNP(d2,MulNP(d2,d2)));;
y4:=MulNP(y2,MulNP(y2,MulNP(y2,y2)));;

rufo11b:=AddNP(AddNP(AddNP(dufo11b1,xufo11b1,1,-1),yufo11b1,1,-1),y4,1,c);;

rufo11bd:=StrongNormalFormNP(AddNP(rufo11b,d4,1,-c),G);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo11bd,G));


