LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/ufo11c.log");

### With this file we show that the generalized auqntum Serre relation in ufo(11)-c canot be deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y2","y1","x2","x1");

q:=E(15);

t:=Indeterminate(Rationals,"t");

q11:=q^5;
q12:=Indeterminate(Rationals,"q12");
q21:=-q^-2*q12^-1;
q22:=-1;

Print("Case 1: lambda2 not zero: \n");

K:=[[ [ [ 2, 2, 2 ] ],   [ 1] ],
[ [ [ 1, 1 ], [] ],   [ 1, -t ] ],
[ [ [ 4, 4, 4 ] ],   [ 1] ],
[ [ [ 3, 3 ] ],   [ 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;


y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y12y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12y12,y12),MulNP(y12,y112y12y12),1,-q11^4*q12^4*q21^3*q22^3),G);;
x112x12x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12x12,x12),MulNP(x12,x112x12x12),1,-q11^4*q12^4*q21^3*q22^3),G);;
d112d12d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12d12,d12),MulNP(d12,d112d12d12),1,-q11^4*q12^4*q21^3*q22^3),G);;

yufo11:=y112y12y12y12;;
xufo11:=x112x12x12x12;;
dufo11:=d112d12d12d12;;

rufo11:=AddNP(AddNP(dufo11,xufo11,1,-1),yufo11,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(rufo11,G));


Print("Case 2: lambda1 not zero: \n");

K:=[[ [ [ 2, 2, 2 ], [] ],   [ 1,-t] ],
[ [ [ 1, 1 ]],   [ 1] ],
[ [ [ 4, 4, 4 ] ],   [ 1] ],
[ [ [ 3, 3 ] ],   [ 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;


PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;


y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y12y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12y12,y12),MulNP(y12,y112y12y12),1,-q11^4*q12^4*q21^3*q22^3),G);;
x112x12x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12x12,x12),MulNP(x12,x112x12x12),1,-q11^4*q12^4*q21^3*q22^3),G);;
d112d12d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12d12,d12),MulNP(d12,d112d12d12),1,-q11^4*q12^4*q21^3*q22^3),G);;

yufo11:=y112y12y12y12;;
xufo11:=x112x12x12x12;;
dufo11:=d112d12d12d12;;

rufo11:=AddNP(AddNP(dufo11,xufo11,1,-1),yufo11,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(rufo11,G));
