LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/ufo12a.log");

### With this file we show that the generalized quantum Serre relations in ufo(12)-a canot be deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y2","y1","x2","x1");

q:=E(7);

t:=Indeterminate(Rationals,"t");

Print("Case 1: q12=1: \n");

q11:=-q;
q12:=1;
q21:=-q^-3*q12^-1;
q22:=-1;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y1112:=AddNP(MulNP(y1,y112),MulNP(y112,y1),1,-q11^2*q12);;
x1112:=AddNP(MulNP(x1,x112),MulNP(x112,x1),1,-q11^2*q12);;
d1112:=AddNP(MulNP(d1,d112),MulNP(d112,d1),1,-q11^2*q12);;

y11112:=AddNP(MulNP(y1,y1112),MulNP(y1112,y1),1,-q11^3*q12);;
x11112:=AddNP(MulNP(x1,x1112),MulNP(x1112,x1),1,-q11^3*q12);;
d11112:=AddNP(MulNP(d1,d1112),MulNP(d1112,d1),1,-q11^3*q12);;

K:=[
y11112,
[ [ [ 1, 1 ], [] ], [  1, -t ] ],
x11112,
[ [ [ 3, 3 ] ], [  1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112,y112y12y12),MulNP(y112y12y12,y112),1,-q11^8*q12^6*q21^4*q22^3),G);;
x112x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112,x112x12x12),MulNP(x112x12x12,x112),1,-q11^8*q12^6*q21^4*q22^3),G);;
d112d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112,d112d12d12),MulNP(d112d12d12,d112),1,-q11^8*q12^6*q21^4*q22^3),G);;


y112y12c:=StrongNormalFormNP(MulNP(y112y12,y112y12),G);;
x112x12c:=StrongNormalFormNP(MulNP(x112x12,x112x12),G);;
d112d12c:=StrongNormalFormNP(MulNP(d112d12,d112d12),G);;

cp:=-q12*(-E(7)+3*E(7)^2+3*E(7)^3-E(7)^4+3*E(7)^6)*(-2*E(7)+2*E(7)^3-E(7)^5+E(7)^6)^-1;;

rufo12a1:=AddNP(AddNP(d112d112d12d12,x112x112x12x12,1,-1),y112y112y12y12,1,-1);;
rufo12a2:=AddNP(AddNP(d112d12c,x112x12c,1,-1),y112y12c,1,-1);;

rufo12a:=AddNP(rufo12a1,rufo12a2,1,-cp);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo12a,G));

Print("Case 2: q12=-1: \n");

q11:=-q;
q12:=-1;
q21:=-q^-3*q12^-1;
q22:=-1;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y1112:=AddNP(MulNP(y1,y112),MulNP(y112,y1),1,-q11^2*q12);;
x1112:=AddNP(MulNP(x1,x112),MulNP(x112,x1),1,-q11^2*q12);;
d1112:=AddNP(MulNP(d1,d112),MulNP(d112,d1),1,-q11^2*q12);;

y11112:=AddNP(MulNP(y1,y1112),MulNP(y1112,y1),1,-q11^3*q12);;
x11112:=AddNP(MulNP(x1,x1112),MulNP(x1112,x1),1,-q11^3*q12);;
d11112:=AddNP(MulNP(d1,d1112),MulNP(d1112,d1),1,-q11^3*q12);;

K:=[
y11112,
[ [ [ 1, 1 ], [] ], [  1, -t ] ],
x11112,
[ [ [ 3, 3 ] ], [  1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y112y12:=StrongNormalFormNP(AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22),G);;
x112x12:=StrongNormalFormNP(AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22),G);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;

y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112,y112y12y12),MulNP(y112y12y12,y112),1,-q11^8*q12^6*q21^4*q22^3),G);;
x112x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112,x112x12x12),MulNP(x112x12x12,x112),1,-q11^8*q12^6*q21^4*q22^3),G);;
d112d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112,d112d12d12),MulNP(d112d12d12,d112),1,-q11^8*q12^6*q21^4*q22^3),G);;


y112y12c:=StrongNormalFormNP(MulNP(y112y12,y112y12),G);;
x112x12c:=StrongNormalFormNP(MulNP(x112x12,x112x12),G);;
d112d12c:=StrongNormalFormNP(MulNP(d112d12,d112d12),G);;

cp:=-q12*(-E(7)+3*E(7)^2+3*E(7)^3-E(7)^4+3*E(7)^6)*(-2*E(7)+2*E(7)^3-E(7)^5+E(7)^6)^-1;;

rufo12a1:=AddNP(AddNP(d112d112d12d12,x112x112x12x12,1,-1),y112y112y12y12,1,-1);;
rufo12a2:=AddNP(AddNP(d112d12c,x112x12c,1,-1),y112y12c,1,-1);;

rufo12a:=AddNP(rufo12a1,rufo12a2,1,-cp);;

Print("the difference between the comutiplication and the primitive part of the first relation is: \n");

PrintNP(StrongNormalFormNP(rufo12a,G));

