LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/ufo9b2.log");

### With this file we show how the generalized quantum Serre relation is deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y2","y1","x2","x1");

q:=E(24);


t:=Indeterminate(Rationals,"t");

q11:=q^6;
q22:=q^-1;

Print("Case 1: q21=1 \n");

q21:=1;
q12:=q*q21^-1;


K:=[[ [ [ 2, 2, 2, 2 ], [] ],   [ 1, -t] ],
[ [ [ 2, 1, 1 ], [ 1, 2, 1 ], [ 1, 1, 2 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [ [ 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 4, 3, 3 ], [ 3, 4, 3 ], [ 3, 3, 4 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22);;

y:=AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2);;
x:=AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2);;
d:=AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

c:=q21^-1*(-2*E(24)-E(24)^8-2*E(24)^17+E(24)^22)*t;;

y23:=[[[1,1,1]],[c]];;
x23:=[[[3,3,3]],[c]];;

d23:=MulNP(d2,MulNP(d2,d2));;

s:=AddNP(AddNP(r,d23,1,-c),y23,1,1);;

Print("the difference between the comutiplication and the deformed part is: \n");

PrintNP(StrongNormalFormNP(s,G));


Print("Case 2: q21=-1 \n");

q21:=-1;
q12:=q*q21^-1;


K:=[[ [ [ 2, 2, 2, 2 ], [] ],   [ 1, -t] ],
[ [ [ 2, 1, 1 ], [ 1, 2, 1 ], [ 1, 1, 2 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [ [ 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 4, 3, 3 ], [ 3, 4, 3 ], [ 3, 3, 4 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22);;

y:=AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2);;
x:=AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2);;
d:=AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

c:=q21^-1*(-2*E(24)-E(24)^8-2*E(24)^17+E(24)^22)*t;;

y23:=[[[1,1,1]],[c]];;
x23:=[[[3,3,3]],[c]];;

d23:=MulNP(d2,MulNP(d2,d2));;

s:=AddNP(AddNP(r,d23,1,-c),y23,1,1);;

Print("the difference between the comutiplication and the deformed part is: \n");

PrintNP(StrongNormalFormNP(s,G));


Print("Case 3: q21=E(4) \n");

q21:=E(4);
q12:=q*q21^-1;


K:=[[ [ [ 2, 2, 2, 2 ], [] ],   [ 1, -t] ],
[ [ [ 2, 1, 1 ], [ 1, 2, 1 ], [ 1, 1, 2 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [ [ 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 4, 3, 3 ], [ 3, 4, 3 ], [ 3, 3, 4 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22);;

y:=AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2);;
x:=AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2);;
d:=AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

c:=q21^-1*(-2*E(24)-E(24)^8-2*E(24)^17+E(24)^22)*t;;

y23:=[[[1,1,1]],[c]];;
x23:=[[[3,3,3]],[c]];;

d23:=MulNP(d2,MulNP(d2,d2));;

s:=AddNP(AddNP(r,d23,1,-c),y23,1,1);;

Print("the difference between the comutiplication and the deformed part is: \n");

PrintNP(StrongNormalFormNP(s,G));

Print("Case 4: q21=E(4)^3 \n");

q21:=E(4)^3;
q12:=q*q21^-1;


K:=[[ [ [ 2, 2, 2, 2 ], [] ],   [ 1, -t] ],
[ [ [ 2, 1, 1 ], [ 1, 2, 1 ], [ 1, 1, 2 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [ [ 4, 4, 4, 4 ] ],   [ 1] ],
[ [ [ 4, 3, 3 ], [ 3, 4, 3 ], [ 3, 3, 4 ] ], [ q21^2*q22, -q21*q22-q21, 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22);;

y:=AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2);;
x:=AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2);;
d:=AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

c:=q21^-1*(-2*E(24)-E(24)^8-2*E(24)^17+E(24)^22)*t;;

y23:=[[[1,1,1]],[c]];;
x23:=[[[3,3,3]],[c]];;

d23:=MulNP(d2,MulNP(d2,d2));;

s:=AddNP(AddNP(r,d23,1,-c),y23,1,1);;

Print("the difference between the comutiplication and the deformed part is: \n");

PrintNP(StrongNormalFormNP(s,G));


