LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/ufo9c.log");

### With this file we show that the generalized auqntum Serre relation in ufo(9)-c canot be deformed.

LoadPackage("GBNP");

GBNP.ConfigPrint("y2","y1","x2","x1");

q:=E(24);

t:=Indeterminate(Rationals,"t");

q11:=-q^-4;
q12:=Indeterminate(Rationals,"q12");
q21:=-q^5*q12^-1;
q22:=q^-1;

Print("Case 1: lambda2 not zero: \n");

K:=[[ [ [ 2, 2, 2 ] ],   [ 1] ],
[ [ [ 1, 1 ], [] ],   [ 1, -t ] ],
[ [ [ 4, 4, 4 ] ],   [ 1] ],
[ [ [ 3, 3 ] ],   [ 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;


y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112,y112y12y12),MulNP(y112y12y12,y112),1,q11^8*q12^6*q21^4*q22^3),G);;
x112x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112,x112x12x12),MulNP(x112x12x12,x112),1,q11^8*q12^6*q21^4*q22^3),G);;
d112d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112,d112d12d12),MulNP(d112d12d12,d112),1,q11^8*q12^6*q21^4*q22^3),G);;

y112y12c:=StrongNormalFormNP(MulNP(y112y12,y112y12),G);;
x112x12c:=StrongNormalFormNP(MulNP(x112x12,x112x12),G);;
d112d12c:=StrongNormalFormNP(MulNP(d112d12,d112d12),G);;

c:=q*q12*(1+q+q^6+2*q^7+q^17)*(1+q^4+q^6+q^11)^-1;;

yufo9:=StrongNormalFormNP(AddNP(y112y112y12y12,y112y12c,1,-c),G);;
xufo9:=StrongNormalFormNP(AddNP(x112x112x12x12,x112x12c,1,-c),G);;
dufo9:=StrongNormalFormNP(AddNP(d112d112d12d12,d112d12c,1,-c),G);;


rufo9:=AddNP(AddNP(dufo9,xufo9,1,-1),yufo9,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(rufo9,G));


Print("Case 2: lambda1 not zero: \n");

K:=[[ [ [ 2, 2, 2 ], [] ],   [ 1,-t] ],
[ [ [ 1, 1 ]],   [ 1] ],
[ [ [ 4, 4, 4 ] ],   [ 1] ],
[ [ [ 3, 3 ] ],   [ 1 ] ],
[ [[3,1], [ 1,3]], [1,-q22] ],
[ [[3,2], [ 2,3]], [1,-q21] ],
[ [[4,1], [ 1,4]], [1,-q12] ],
[ [[4,2], [ 2,4]], [1,-q11] ]
];;

PrintNPList(K);

G:=SGrobner(K);;

y1:=[[[2]],[1]];;
x1:=[[[4]],[1]];;
d1:=[[[2],[4]],[1,1]];;
y2:=[[[1]],[1]];;
x2:=[[[3]],[1]];;
d2:=[[[1],[3]],[1,1]];;

y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
d12:=AddNP(MulNP(d1,d2),MulNP(d2,d1),1,-q12);;

y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
d112:=AddNP(MulNP(d1,d12),MulNP(d12,d1),1,-q11*q12);;

y112y12:=AddNP(MulNP(y112,y12),MulNP(y12,y112),1,-q11^2*q12^2*q21*q22);;
x112x12:=AddNP(MulNP(x112,x12),MulNP(x12,x112),1,-q11^2*q12^2*q21*q22);;
d112d12:=StrongNormalFormNP(AddNP(MulNP(d112,d12),MulNP(d12,d112),1,-q11^2*q12^2*q21*q22),G);;


y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112y12,y12),MulNP(y12,y112y12),1,-q11^3*q12^3*q21^2*q22^2),G);;
x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112x12,x12),MulNP(x12,x112x12),1,-q11^3*q12^3*q21^2*q22^2),G);;
d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112d12,d12),MulNP(d12,d112d12),1,-q11^3*q12^3*q21^2*q22^2),G);;

y112y112y12y12:=StrongNormalFormNP(AddNP(MulNP(y112,y112y12y12),MulNP(y112y12y12,y112),1,q11^8*q12^6*q21^4*q22^3),G);;
x112x112x12x12:=StrongNormalFormNP(AddNP(MulNP(x112,x112x12x12),MulNP(x112x12x12,x112),1,q11^8*q12^6*q21^4*q22^3),G);;
d112d112d12d12:=StrongNormalFormNP(AddNP(MulNP(d112,d112d12d12),MulNP(d112d12d12,d112),1,q11^8*q12^6*q21^4*q22^3),G);;

y112y12c:=StrongNormalFormNP(MulNP(y112y12,y112y12),G);;
x112x12c:=StrongNormalFormNP(MulNP(x112x12,x112x12),G);;
d112d12c:=StrongNormalFormNP(MulNP(d112d12,d112d12),G);;

c:=q*q12*(1+q+q^6+2*q^7+q^17)*(1+q^4+q^6+q^11)^-1;;

yufo9:=StrongNormalFormNP(AddNP(y112y112y12y12,y112y12c,1,-c),G);;
xufo9:=StrongNormalFormNP(AddNP(x112x112x12x12,x112x12c,1,-c),G);;
dufo9:=StrongNormalFormNP(AddNP(d112d112d12d12,d112d12c,1,-c),G);;


rufo9:=AddNP(AddNP(dufo9,xufo9,1,-1),yufo9,1,-1);;

Print("the difference between the comutiplication and the primitive part is: \n");

PrintNP(StrongNormalFormNP(rufo9,G));



