LogTo("/home/agustin/Dropbox/Matemática/in-progress/liftings2/gap/bgla2.log");

### With this file we show that the generalized quantum Serre relation in bgla-c is not deformed when the three other relations are deformed. 

LoadPackage("GBNP");

GBNP.ConfigPrint("y4","y3","y2","y1","x4","x3","x2","x1");

t2:=Indeterminate(Rationals,"t2");;
t3:=Indeterminate(Rationals,"t3");;
t4:=Indeterminate(Rationals,"t4");;

q:=Indeterminate(Rationals,"q");;

q11:=q;;
q22:=-1;;
q33:=-1;;
q44:=-q^-1;;


Print("case lambda2lambda3lambda4 nonzero-1-1, q12=q32=q42=1; q13=q43=1 \n");

q12:=1;;
q42:=1;;
q32:=1;;
q13:=1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-1-2, q12=q32=q42=1; q13=-q43=1 \n");

q12:=1;;
q42:=1;;
q32:=1;;
q13:=1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-1-3, q12=q32=q42=1; -q13=q43=1 \n");

q12:=1;;
q42:=1;;
q32:=1;;
q13:=-1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-1-4, q12=q32=q42=1; -q13=-q43=1 \n");

q12:=1;;
q42:=1;;
q32:=1;;
q13:=-1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-2-1, q12=q32=-q42=1; q13=q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=1;;
q13:=1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-2-2, q12=q32=-q42=1; q13=-q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=1;;
q13:=1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################


Print("case lambda2lambda3lambda4 nonzero-2-3, q12=q32=-q42=1; -q13=q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=1;;
q13:=-1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################


Print("case lambda2lambda3lambda4 nonzero-2-4, q12=q32=-q42=1; -q13=-q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=1;;
q13:=-1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-3-1, q12=-q32=q42=1; q13=q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=-1;;
q13:=1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-3-2, q12=-q32=q42=1; q13=-q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=-1;;
q13:=1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-3-3, q12=-q32=q42=1; -q13=q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=-1;;
q13:=-1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-3-4, q12=-q32=q42=1; -q13=-q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=-1;;
q13:=-1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-4-1, -q12=q32=q42=1; q13=q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=-1;;
q13:=1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-4-2, -q12=q32=q42=1; q13=-q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=-1;;
q13:=1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-4-3, -q12=q32=q42=1; -q13=q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=-1;;
q13:=-1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-4-4, -q12=q32=q42=1; -q13=-q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=-1;;
q13:=-1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-5-1, q12=-q32=-q42=1; q13=q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=-1;;
q13:=1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;



y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-5-2, q12=-q32=-q42=1; q13=-q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=-1;;
q13:=1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;



y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################
Print("case lambda2lambda3lambda4 nonzero-5-3, q12=-q32=-q42=1; -q13=q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=-1;;
q13:=-1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;



y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-5-4, q12=-q32=-q42=1; -q13=-q43=1 \n");

q12:=1;;
q42:=-1;;
q32:=-1;;
q13:=-1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;



y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-6-1, -q12=-q32=q42=1; q13=q43=1 \n");

q12:=-1;;
q42:=1;;
q32:=-1;;
q13:=1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;


y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-6-2, -q12=-q32=q42=1; q13=-q43=1 \n");

q12:=-1;;
q42:=1;;
q32:=-1;;
q13:=1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;


y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################


Print("case lambda2lambda3lambda4 nonzero-6-3, -q12=-q32=q42=1;-q13=q43=1 \n");

q12:=-1;;
q42:=1;;
q32:=-1;;
q13:=-1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;


y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################



Print("case lambda2lambda3lambda4 nonzero-6-4, -q12=-q32=q42=1; -q13=-q43=1 \n");

q12:=-1;;
q42:=1;;
q32:=-1;;
q13:=-1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;


y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-7-1, -q12=q32=-q42=1; q13=q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=1;;
q13:=1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-7-3, -q12=q32=-q42=1; q13=-q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=1;;
q13:=1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;
y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################


Print("case lambda2lambda3lambda4 nonzero-7-3, -q12=q32=-q42=1; -q13=q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=1;;
q13:=-1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;
y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################


Print("case lambda2lambda3lambda4 nonzero-7-4, -q12=q32=-q42=1; -q13=-q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=1;;
q13:=-1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;
y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;

c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################


Print("case lambda2lambda3lambda4 nonzero-8-1, -q12=-q32=-q42=1; q13=q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=-1;;
q13:=1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################

Print("case lambda2lambda3lambda4 nonzero-8-2, -q12=-q32=-q42=1; q13=-q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=-1;;
q13:=-1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################


Print("case lambda2lambda3lambda4 nonzero-8-3, -q12=-q32=-q42=1; -q13=q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=-1;;
q13:=-1;;
q43:=1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################


Print("case lambda2lambda3lambda4 nonzero-8-4, -q12=-q32=-q42=1; -q13=-q43=1 \n");

q12:=-1;;
q42:=-1;;
q32:=-1;;
q13:=-1;;
q43:=-1;;

q24:=q42^-1;;
q21:=q^-1*q12^-1;;
q23:=-q32^-1;;
q31:=q13^-1;;
q34:=-q*q43^-1;;

q41:=Indeterminate(Rationals,"q41");;
q14:=q41^-1;;

y1:=[[[4]],[1]];;
y2:=[[[3]],[1]];;
y3:=[[[2]],[1]];;
y4:=[[[1]],[1]];;

x1:=[[[8]],[1]];;
x2:=[[[7]],[1]];;
x3:=[[[6]],[1]];;
x4:=[[[5]],[1]];;

d1:=AddNP(x1,y1,1,1);;
d2:=AddNP(x2,y2,1,1);;
d3:=AddNP(x3,y3,1,1);;
d4:=AddNP(x4,y4,1,1);;


y12:=AddNP(MulNP(y1,y2),MulNP(y2,y1),1,-q12);;
y13:=AddNP(MulNP(y1,y3),MulNP(y3,y1),1,-q13);;
y23:=AddNP(MulNP(y2,y3),MulNP(y3,y2),1,-q23);;
y14:=AddNP(MulNP(y1,y4),MulNP(y4,y1),1,-q14);;
y24:=AddNP(MulNP(y2,y4),MulNP(y4,y2),1,-q24);;
y34:=AddNP(MulNP(y3,y4),MulNP(y4,y3),1,-q34);;
y2c:=MulNP(y2,y2);;
y2d:=AddNP(y2c,[[[]],[1]],1,-t2);;
y3c:=MulNP(y3,y3);;
y3d:=AddNP(y3c,[[[]],[1]],1,-t3);;
y23c:=MulNP(y23,y23);;
y23d:=AddNP(y23c,[[[]],[1]],1,-t4);;
y112:=AddNP(MulNP(y1,y12),MulNP(y12,y1),1,-q11*q12);;
y344:=AddNP(MulNP(y34,y4),MulNP(y4,y34),1,-q34*q44);;

x12:=AddNP(MulNP(x1,x2),MulNP(x2,x1),1,-q12);;
x13:=AddNP(MulNP(x1,x3),MulNP(x3,x1),1,-q13);;
x23:=AddNP(MulNP(x2,x3),MulNP(x3,x2),1,-q23);;
x14:=AddNP(MulNP(x1,x4),MulNP(x4,x1),1,-q14);;
x24:=AddNP(MulNP(x2,x4),MulNP(x4,x2),1,-q24);;
x34:=AddNP(MulNP(x3,x4),MulNP(x4,x3),1,-q34);;
x2c:=MulNP(x2,x2);;
x3c:=MulNP(x3,x3);;
x23c:=MulNP(x23,x23);;
x112:=AddNP(MulNP(x1,x12),MulNP(x12,x1),1,-q11*q12);;
x344:=AddNP(MulNP(x34,x4),MulNP(x4,x34),1,-q34*q44);;

b11:=AddNP(MulNP(x1,y1),MulNP(y1,x1),1,-q11);
b12:=AddNP(MulNP(x1,y2),MulNP(y2,x1),1,-q12);
b13:=AddNP(MulNP(x1,y3),MulNP(y3,x1),1,-q13);
b14:=AddNP(MulNP(x1,y4),MulNP(y4,x1),1,-q14);

b21:=AddNP(MulNP(x2,y1),MulNP(y1,x2),1,-q21);
b22:=AddNP(MulNP(x2,y2),MulNP(y2,x2),1,-q22);
b23:=AddNP(MulNP(x2,y3),MulNP(y3,x2),1,-q23);
b24:=AddNP(MulNP(x2,y4),MulNP(y4,x2),1,-q24);

b31:=AddNP(MulNP(x3,y1),MulNP(y1,x3),1,-q31);
b32:=AddNP(MulNP(x3,y2),MulNP(y2,x3),1,-q32);
b33:=AddNP(MulNP(x3,y3),MulNP(y3,x3),1,-q33);
b34:=AddNP(MulNP(x3,y4),MulNP(y4,x3),1,-q34);

b41:=AddNP(MulNP(x4,y1),MulNP(y1,x4),1,-q41);
b42:=AddNP(MulNP(x4,y2),MulNP(y2,x4),1,-q42);
b43:=AddNP(MulNP(x4,y3),MulNP(y3,x4),1,-q43);
b44:=AddNP(MulNP(x4,y4),MulNP(y4,x4),1,-q44);

K:=[
b11,b12,b13,b14,
b21,b22,b23,b24,
b31,b32,b33,b34,
b41,b42,b43,b44,
#
x13,
x14,
x24,
x2c,
x3c,
x112,
x344,
x23c,
#
y13,
y14,
y24,
y2d,
y3d,
y112,
y344,
y23d
];;

PrintNPList(K);

G:=SGrobner(K);;


c:= q23*(1 + q)*(1-q)^-1;;

d34:=AddNP(MulNP(d3,d4),MulNP(d4,d3),1,-q34);;
d234:=AddNP(MulNP(d2,d34),MulNP(d34,d2),1,-q23*q24);;
d1234:=AddNP(MulNP(d1,d234),MulNP(d234,d1),1,-q12*q13*q14);;
d12342:=AddNP(MulNP(d1234,d2),MulNP(d2,d1234),1,-q12*q22*q32*q42);;
d12343:=AddNP(MulNP(d1234,d3),MulNP(d3,d1234),1,-q13*q23*q33*q43);;
da:=AddNP(MulNP(d12342,d3),MulNP(d3,d12342),1,-q13*q23^2*q33*q43);;
db:=AddNP(MulNP(d12343,d2),MulNP(d2,d12343),1,-q12*q22*q32^2*q42);;
d:=StrongNormalFormNP(AddNP(da,db,1,c),G);;



x234:=AddNP(MulNP(x2,x34),MulNP(x34,x2),1,-q23*q24);;
x1234:=AddNP(MulNP(x1,x234),MulNP(x234,x1),1,-q12*q13*q14);;
x12342:=AddNP(MulNP(x1234,x2),MulNP(x2,x1234),1,-q12*q22*q32*q42);;
x12343:=AddNP(MulNP(x1234,x3),MulNP(x3,x1234),1,-q13*q23*q33*q43);;
xa:=AddNP(MulNP(x12342,x3),MulNP(x3,x12342),1,-q13*q23^2*q33*q43);;
xb:=AddNP(MulNP(x12343,x2),MulNP(x2,x12343),1,-q12*q22*q32^2*q42);;
x:=StrongNormalFormNP(AddNP(xa,xb,1,c),G);;

y234:=AddNP(MulNP(y2,y34),MulNP(y34,y2),1,-q23*q24);;
y1234:=AddNP(MulNP(y1,y234),MulNP(y234,y1),1,-q12*q13*q14);;
y12342:=AddNP(MulNP(y1234,y2),MulNP(y2,y1234),1,-q12*q22*q32*q42);;
y12343:=AddNP(MulNP(y1234,y3),MulNP(y3,y1234),1,-q13*q23*q33*q43);;
ya:=AddNP(MulNP(y12342,y3),MulNP(y3,y12342),1,-q13*q23^2*q33*q43);;
yb:=AddNP(MulNP(y12343,y2),MulNP(y2,y12343),1,-q12*q22*q32^2*q42);;
y:=StrongNormalFormNP(AddNP(ya,yb,1,c),G);;

r:=AddNP(AddNP(d,x,1,-1),y,1,-1);;

Print("The difference between the comultiplicaction and the primitive part is : \n");;
PrintNP(StrongNormalFormNP(r,G));

#####################################################
#####################################################
#####################################################


